> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get login status

> Poll for login status



## OpenAPI

````yaml https://api.ofauth.com/openapi.json get /v2/link/{clientSecret}
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth API including Account, Connections, Link, Access, Dynamic Rules,
    Vault+, and Realtime webhook contracts
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ApiKey: []
tags:
  - name: Account
    description: Account management endpoints.
  - name: Connections
    description: Connection management endpoints.
  - name: Link
    description: Link authentication and session endpoints.
  - name: Access
    description: All Access related endpoints.
  - name: Analytics
    description: 'Access: charts, tops, and performance metrics.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: authenticated account details and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: >-
      Realtime webhook delivery contracts, including relayed OnlyFans websocket
      events.
  - name: Dynamic Rules
    description: Dynamic signing rules operations.
  - name: Vault+
    description: Vault+ caching and management.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v2/link/{clientSecret}:
    get:
      tags:
        - Link
      summary: Get login status
      description: Poll for login status
      parameters:
        - schema:
            type: string
          required: true
          name: clientSecret
          in: path
      responses:
        '200':
          description: Login task status
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - initialized
                      - pending
                      - awaiting_2fa
                      - denied
                      - completed
                      - invalid_credentials
                      - failed
                      - not_found
                  data:
                    anyOf:
                      - type: object
                        properties:
                          twoFactorState:
                            type: object
                            properties:
                              options:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - phone
                                    - app
                                    - face
                                    - forceFace
                              phoneCode:
                                type: object
                                properties:
                                  requestAttemptsLimit:
                                    type: number
                                  requestAttemptsLeft:
                                    type: number
                                  checkAttemptsLimit:
                                    type: number
                                  checkAttemptsLeft:
                                    type: number
                                  expirationDate:
                                    type: string
                                  expirationSeconds:
                                    type: number
                                  lastSentDate:
                                    type: string
                                required:
                                  - requestAttemptsLimit
                                  - requestAttemptsLeft
                              faceCode:
                                type: object
                                properties:
                                  requestAttemptsLimit:
                                    type: number
                                  requestAttemptsLeft:
                                    type: number
                                required:
                                  - requestAttemptsLimit
                                  - requestAttemptsLeft
                              phoneLast4:
                                type: string
                            required:
                              - options
                        required:
                          - twoFactorState
                      - type: object
                        properties:
                          id:
                            type: string
                          session:
                            type: object
                            properties:
                              user-id:
                                type: string
                              user-agent:
                                type: string
                              cookie:
                                type: string
                              x-bc:
                                type: string
                            required:
                              - user-id
                              - user-agent
                              - cookie
                              - x-bc
                          userData:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              username:
                                type: string
                              avatar:
                                type: string
                            required:
                              - id
                              - name
                              - username
                              - avatar
                        required:
                          - id
                          - session
                          - userData
                required:
                  - status
              examples:
                Needs 2FA:
                  value:
                    status: awaiting_2fa
                    data:
                      twoFactorState:
                        options:
                          - phone
                          - app
                        phoneCode:
                          requestAttemptsLimit: 3
                          requestAttemptsLeft: 2
                          checkAttemptsLimit: 3
                          checkAttemptsLeft: 3
                        phoneLast4: '1234'
                Completed:
                  value:
                    status: completed
                    data:
                      id: as_xxxxxx
                      session:
                        user-id: '1234567890'
                        user-agent: Mozilla/5.0 ....
                        cookie: sess=adfsadfsafs; ...
                        x-bc: sdfdfsdfsdfssd
                      userData:
                        id: '1234567890'
                        name: Jane Doe
                        username: janedoe
                        avatar: https://example.com/avatar.jpg
        '404':
          description: Session not found
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: apiKey
      in: header
      description: >-
        Your OFAuth [API key](/quickstart#2-copy-your-api-key) for
        authenticating requests.

````